GCLOUD_IAM_SERVICE-ACCOUNTS(1)

NAME

gcloud iam service-accounts - create and manipulate service accounts

SYNOPSIS

gcloud iam service-accounts GROUP | COMMAND [GLOBAL-FLAG ...]

DESCRIPTION
Create and manipulate IAM service accounts. More information on service accounts can be found at: https://cloud.google.com/iam/docs/service-accounts

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

GROUPS
GROUP is one of the following:

    keys
        Manage service account keys.

COMMANDS
COMMAND is one of the following:

    add-iam-policy-binding
        Add IAM policy binding for a service account.

    create
        Create a service account for a project.

    delete
        Delete a service account from a project.

    describe
        Show metadata for a service account from a project.

    get-iam-policy
        Get the IAM policy for a service account.

    list
        List all of a project's service accounts.

    remove-iam-policy-binding
        Remove IAM policy binding for a service account.

    set-iam-policy
        Set IAM policy for a service account.

    sign-blob
        Sign a blob with a managed service account key.

    update
        Update the metadata of an IAM service account.